UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMAsyncOperationInfo Class Reference

## Public Member Functions
int | type ()
int | status ()
int | flags ()
long | handle ()
UMQContextQueueTopicListInfo | contextQueueTopicListInfo () throws LBMEInvalException
UMQReceiverQueueMessageListInfo | receiverQueueMessageListInfo () throws LBMEInvalException
UMQReceiverQueueMessageRetrieveInfo | receiverQueueMessageRetrieveInfo () throws LBMEInvalException
LBMAsyncOperationInfo | promote ()
void | dispose ()

## Detailed Description

Class containing generic (status, operation handle, etc.) and possibly specific (operation results) information about a particular asynchronous operation.

## Member Function Documentation

UMQContextQueueTopicListInfo com.latencybusters.lbm.LBMAsyncOperationInfo.contextQueueTopicListInfo | ( |  | ) | throws LBMEInvalException

Gets the results of an LBMContext::queueTopicList asynchronous operation.

Returns
  the results.

Exceptions

  LBMEInvalException | if the async operation information was for an operation type other than LBM::ASYNC_OP_TYPE_CTX_UMQ_QUEUE_TOPIC_LIST.

References com.latencybusters.lbm.LBM.ASYNC_OP_TYPE_CTX_UMQ_QUEUE_TOPIC_LIST.

Referenced by com.latencybusters.lbm.LBMAsyncOperationInfo.receiverQueueMessageRetrieveInfo().

int com.latencybusters.lbm.LBMAsyncOperationInfo.flags | ( |  | ) |

Gets informational flags about this particular asynchronous operation update.

See also
  LBM::ASYNC_OP_INFO_FLAG_INLINE
  LBM::ASYNC_OP_INFO_FLAG_FIRST
  LBM::ASYNC_OP_INFO_FLAG_LAST
  LBM::ASYNC_OP_INFO_FLAG_ONLY

Returns
  the flags.

Referenced by com.latencybusters.lbm.LBMAsyncOperationInfo.receiverQueueMessageRetrieveInfo().

long com.latencybusters.lbm.LBMAsyncOperationInfo.handle | ( |  | ) |

Gets the asynchronous operation's opaque handle (a long value), which can be used to query the operation's status or to cancel it. The handle will only be valid if the asynchronous operation was able to be started; otherwise it will be set to LBM::ASYNC_OP_INVALID_HANDLE .

See also
  LBM::ASYNC_OP_INVALID_HANDLE

Returns
  The operation's handle.

Referenced by com.latencybusters.lbm.LBMAsyncOperationInfo.receiverQueueMessageRetrieveInfo().

UMQReceiverQueueMessageListInfo com.latencybusters.lbm.LBMAsyncOperationInfo.receiverQueueMessageListInfo | ( |  | ) | throws LBMEInvalException

Gets the results of an LBMReceiverBase::queueMessageList asynchronous operation.

Returns
  the results.

Exceptions

  LBMEInvalException | if the async operation information was for an operation type other than LBM::ASYNC_OP_TYPE_RCV_UMQ_QUEUE_MSG_LIST.

References com.latencybusters.lbm.LBM.ASYNC_OP_TYPE_RCV_UMQ_QUEUE_MSG_LIST.

UMQReceiverQueueMessageRetrieveInfo com.latencybusters.lbm.LBMAsyncOperationInfo.receiverQueueMessageRetrieveInfo | ( |  | ) | throws LBMEInvalException

Gets the results of an LBMReceiverBase::queueMessageRetrieve asynchronous operation.

Returns
  the results.

Exceptions

  LBMEInvalException | if the async operation information was for an operation type other than LBM::ASYNC_OP_TYPE_RCV_UMQ_QUEUE_MSG_RETRIEVE.

References com.latencybusters.lbm.LBM.ASYNC_OP_TYPE_RCV_UMQ_QUEUE_MSG_RETRIEVE, com.latencybusters.lbm.LBMAsyncOperationInfo.contextQueueTopicListInfo(), com.latencybusters.lbm.LBMObjectRecyclerBase.doneWithAsyncOperationInfo(), com.latencybusters.lbm.LBM.EOS, com.latencybusters.lbm.LBMAsyncOperationInfo.flags(), com.latencybusters.lbm.LBMAsyncOperationInfo.handle(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveAsyncOperationInfo(), com.latencybusters.lbm.LBMAsyncOperationInfo.status(), and com.latencybusters.lbm.LBMAsyncOperationInfo.type().

int com.latencybusters.lbm.LBMAsyncOperationInfo.status | ( |  | ) |

Gets the status of the asynchronous operation.

See also
  LBM::ASYNC_OP_STATUS_IN_PROGRESS
  LBM::ASYNC_OP_STATUS_COMPLETE
  LBM::ASYNC_OP_STATUS_ERROR
  LBM::ASYNC_OP_STATUS_CANCELED

Returns
  the operation's current status.

Referenced by com.latencybusters.lbm.LBMAsyncOperationInfo.receiverQueueMessageRetrieveInfo().

int com.latencybusters.lbm.LBMAsyncOperationInfo.type | ( |  | ) |

Gets the type of the asynchronous operation.

See also
  LBM::ASYNC_OP_TYPE_CTX_UMQ_QUEUE_TOPIC_LIST
  LBM::ASYNC_OP_TYPE_RCV_UMQ_QUEUE_MSG_LIST
  LBM::ASYNC_OP_TYPE_RCV_UMQ_QUEUE_MSG_RETRIEVE

Returns
  the operation type.

Referenced by com.latencybusters.lbm.LBMAsyncOperationInfo.receiverQueueMessageRetrieveInfo().

The documentation for this class was generated from the following file:

- LBMAsyncOperationInfo.java